import Ember from 'ember';

export default Ember.Controller.extend({

	boundArray: ['one','two','three'],
	boundHash: [
		{id: 'one', name: 'One', sidecar: 'foo'},
		{id: 'two', name: 'Two', sidecar: 'bar'},
		{id: 'three', name: 'Three', sidecar: 'baz'}
	],
	selector: 'three',
	dynArray: ['one','two'],
	actions: {
		handleRadioChange: function(change) {
			window.alert('Change to radio control. Current selection is "%@". Source was %@.'.fmt(change.selected, change.changeSource));
		},
		addArrayElement: function() {
			var current = this.get('dynArray');
			var newArray = current.addObject(String(current.length+1));
			// NOTE: it appears a clone is necessary to make the change observable on an add ... might need to look into tighening up the Ember observer
			// this.get('dynArray', newArray);
			this.set('dynArray', JSON.parse(JSON.stringify(newArray)));
		},
		removeArrayElement: function() {
			var current = this.get('dynArray');
			if(current.length > 0) {				
				this.set('dynArray', current.slice(0,current.length-1));
			}
		}
	}

});
